package com.xuecheng.content.service;

import com.xuecheng.base.model.PageParams;
import com.xuecheng.base.model.PageResult;
import com.xuecheng.model.dto.AddCourseDto;
import com.xuecheng.model.dto.CourseBaseInfoDto;
import com.xuecheng.model.dto.EditCourseDto;
import com.xuecheng.model.dto.QueryCourseParamDto;
import com.xuecheng.model.po.CourseBase;

/**
 * @author ZZY
 * @version 1.0
 * @description 课程信息管理接口
 * @date 2023/3/17 9:19
 */
public interface CourseBaseInfoService {
    /**
     * @param pageParams     分页查询参数
     * @param courseParamDto 查询条件
     * @return 查询条件
     * @description 课程分页查询
     * @author ZZY
     * @date 2023.3.17.9:28
     */
    PageResult<CourseBase> queryCourBaseList(PageParams pageParams, QueryCourseParamDto courseParamDto);

    /**
     * @param companyId    机构id
     * @param addCourseDto 课程信息
     * @return 课程详细信息
     * @description 新增课程
     * @author
     * @date
     */
    CourseBaseInfoDto createCourseBase(Long companyId, AddCourseDto addCourseDto);

    /**
     * @param courseId 课程id
     * @return 课程信息
     * @description 根据课程id查询课程信息
     * @author
     * @date
     */
    CourseBaseInfoDto getCourseBaseInfo(Long courseId);

    /**
     * @param companyId      课程id
     * @param editCourseDto 修改课程信息
     * @return 课程的详细信息
     * @description 修改课程
     * @author
     * @date
     */
    CourseBaseInfoDto updateCourseBase(Long companyId, EditCourseDto editCourseDto);
}
